Package org.opencv.features2d

## Class BOWKMeansTrainer

- java.lang.Object
- - org.opencv.features2d.BOWTrainer
  - - org.opencv.features2d.BOWKMeansTrainer

-     public class BOWKMeansTrainer
      extends BOWTrainer

  kmeans -based class to train visual vocabulary using the *bag of visual words* approach. :

- - ### Field Summary

    - ### Fields inherited from class org.opencv.features2d.BOWTrainer

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `BOWKMeansTrainer​(int clusterCount)` | The constructor.
    `` | `BOWKMeansTrainer​(int clusterCount, TermCriteria termcrit)` | The constructor.
    `` | `BOWKMeansTrainer​(int clusterCount, TermCriteria termcrit, int attempts)` | The constructor.
    `` | `BOWKMeansTrainer​(int clusterCount, TermCriteria termcrit, int attempts, int flags)` | The constructor.
    `protected` | `BOWKMeansTrainer​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BOWKMeansTrainer` | `__fromPtr__​(long addr)` |
    `Mat` | `cluster()` |
    `Mat` | `cluster​(Mat descriptors)` | Clusters train descriptors.
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.features2d.BOWTrainer

      `add, clear, descriptorsCount, getDescriptors, getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BOWKMeansTrainer

          protected BOWKMeansTrainer​(long addr)

    - #### BOWKMeansTrainer

          public BOWKMeansTrainer​(int clusterCount,
                                  TermCriteria termcrit,
                                  int attempts,
                                  int flags)

      The constructor. SEE: cv::kmeans
      Parameters:
        `clusterCount` - automatically generated
        `termcrit` - automatically generated
        `attempts` - automatically generated
        `flags` - automatically generated

    - #### BOWKMeansTrainer

          public BOWKMeansTrainer​(int clusterCount,
                                  TermCriteria termcrit,
                                  int attempts)

      The constructor. SEE: cv::kmeans
      Parameters:
        `clusterCount` - automatically generated
        `termcrit` - automatically generated
        `attempts` - automatically generated

    - #### BOWKMeansTrainer

          public BOWKMeansTrainer​(int clusterCount,
                                  TermCriteria termcrit)

      The constructor. SEE: cv::kmeans
      Parameters:
        `clusterCount` - automatically generated
        `termcrit` - automatically generated

    - #### BOWKMeansTrainer

          public BOWKMeansTrainer​(int clusterCount)

      The constructor. SEE: cv::kmeans
      Parameters:
        `clusterCount` - automatically generated

  - ### Method Detail

    - #### __fromPtr__

          public static BOWKMeansTrainer __fromPtr__​(long addr)

    - #### cluster

          public Mat cluster​(Mat descriptors)

      Description copied from class: `BOWTrainer`
      Clusters train descriptors.
      Overrides:
        `cluster` in class `BOWTrainer`
      Parameters:
        `descriptors` - Descriptors to cluster. Each row of the descriptors matrix is a descriptor. Descriptors are not added to the inner train descriptor set. The vocabulary consists of cluster centers. So, this method returns the vocabulary. In the first variant of the method, train descriptors stored in the object are clustered. In the second variant, input descriptors are clustered.
      Returns:
        automatically generated

    - #### cluster

          public Mat cluster()

      Overrides:
        `cluster` in class `BOWTrainer`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `BOWTrainer`
      Throws:
        `java.lang.Throwable`